Bug 849708 - Test Cases are failing very consistently
Test Cases are failing very consistently
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 12:24 EDT by Dan McPherson
Modified: 2015-05-14 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:30:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2012-08-20 12:24:47 EDT
Description of problem:

The Site Check tests fail very frequently with this error:

                      Begin Output From Site Check Base Tests
          -----------------------------------------------------------

(in /root/li-test/site)
Specify ruby-prof as application's dependency in Gemfile to run benchmarks.
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
..........................................................................................................................................................E.................................................................................................................................................................................................................
Finished in 210.481374 seconds.

  1) Error:
test_signup_to_app_creation(LoginFlowsTest):
ActionView::Template::Error: You have a nil object when you didn't expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.empty?
    app/views/account/_keys.html.haml:10:in `_app_views_account__keys_html_haml___1578007221_69934499276360_110110'
    actionpack (3.0.13) lib/action_view/template.rb:135:in `send'
    actionpack (3.0.13) lib/action_view/template.rb:135:in `render'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications/instrumenter.rb:21:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    actionpack (3.0.13) lib/action_view/template.rb:127:in `render'
    actionpack (3.0.13) lib/action_view/render/partials.rb:333:in `render_partial'
    actionpack (3.0.13) lib/action_view/render/partials.rb:262:in `render'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications/instrumenter.rb:21:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    actionpack (3.0.13) lib/action_view/render/partials.rb:260:in `render'
    actionpack (3.0.13) lib/action_view/render/partials.rb:378:in `_render_partial'
    actionpack (3.0.13) lib/action_view/render/rendering.rb:22:in `render_without_haml'
    haml (3.1.2) lib/haml/helpers/action_view_mods.rb:11:in `render'
    haml (3.1.2) lib/haml/helpers.rb:90:in `non_haml'
    haml (3.1.2) lib/haml/helpers/action_view_mods.rb:11:in `render'
    app/views/account/show_extended.html.haml:18:in `_app_views_account_show_extended_html_haml___593195493_69934500039360_0'
    actionpack (3.0.13) lib/action_view/template.rb:135:in `send'
    actionpack (3.0.13) lib/action_view/template.rb:135:in `render'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications/instrumenter.rb:21:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    actionpack (3.0.13) lib/action_view/template.rb:127:in `render'
    actionpack (3.0.13) lib/action_view/render/rendering.rb:59:in `_render_template'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications/instrumenter.rb:21:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    actionpack (3.0.13) lib/action_view/render/rendering.rb:56:in `_render_template'
    actionpack (3.0.13) lib/action_view/render/rendering.rb:26:in `render_without_haml'
    haml (3.1.2) lib/haml/helpers/action_view_mods.rb:13:in `render'
    actionpack (3.0.13) lib/abstract_controller/rendering.rb:115:in `_render_template'
    actionpack (3.0.13) lib/abstract_controller/rendering.rb:109:in `render_to_body'
    actionpack (3.0.13) lib/action_controller/metal/renderers.rb:47:in `render_to_body'
    actionpack (3.0.13) lib/action_controller/metal/compatibility.rb:55:in `render_to_body'
    actionpack (3.0.13) lib/abstract_controller/rendering.rb:102:in `render_to_string'
    actionpack (3.0.13) lib/abstract_controller/rendering.rb:93:in `render'
    actionpack (3.0.13) lib/action_controller/metal/rendering.rb:17:in `render'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:40:in `render'
    activesupport (3.0.13) lib/active_support/core_ext/benchmark.rb:5:in `ms'
    /usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'
    activesupport (3.0.13) lib/active_support/core_ext/benchmark.rb:5:in `ms'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:40:in `render'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:78:in `cleanup_view_runtime'
    app/models/rest_api/railties/controller_runtime.rb:17:in `cleanup_view_runtime'
    lib/streamline/railties/controller_runtime.rb:17:in `cleanup_view_runtime'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:39:in `render'
    app/controllers/account/extended_dashboard.rb:26:in `show'
    actionpack (3.0.13) lib/action_controller/metal/implicit_render.rb:4:in `send_action'
    actionpack (3.0.13) lib/action_controller/metal/implicit_render.rb:4:in `send_action'
    actionpack (3.0.13) lib/abstract_controller/base.rb:150:in `process_action'
    actionpack (3.0.13) lib/action_controller/metal/rendering.rb:11:in `process_action'
    actionpack (3.0.13) lib/abstract_controller/callbacks.rb:18:in `process_action'
    activesupport (3.0.13) lib/active_support/callbacks.rb:442:in `_run__1580215858__process_action__2030312254__callbacks'
    activesupport (3.0.13) lib/active_support/callbacks.rb:221:in `_conditional_callback_around_190'
    activesupport (3.0.13) lib/active_support/callbacks.rb:331:in `around'
    activesupport (3.0.13) lib/active_support/callbacks.rb:315:in `send'
    activesupport (3.0.13) lib/active_support/callbacks.rb:315:in `_callback_around_57'
    activesupport (3.0.13) lib/active_support/callbacks.rb:220:in `_conditional_callback_around_190'
    activesupport (3.0.13) lib/active_support/callbacks.rb:441:in `_run__1580215858__process_action__2030312254__callbacks'
    activesupport (3.0.13) lib/active_support/callbacks.rb:410:in `send'
    activesupport (3.0.13) lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'
    activesupport (3.0.13) lib/active_support/callbacks.rb:94:in `send'
    activesupport (3.0.13) lib/active_support/callbacks.rb:94:in `run_callbacks'
    actionpack (3.0.13) lib/abstract_controller/callbacks.rb:17:in `process_action'
    actionpack (3.0.13) lib/action_controller/metal/rescue.rb:17:in `process_action'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:30:in `process_action'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications/instrumenter.rb:21:in `instrument'
    activesupport (3.0.13) lib/active_support/notifications.rb:52:in `instrument'
    actionpack (3.0.13) lib/action_controller/metal/instrumentation.rb:29:in `process_action'
    app/models/rest_api/railties/controller_runtime.rb:12:in `process_action'
    lib/streamline/railties/controller_runtime.rb:12:in `process_action'
    actionpack (3.0.13) lib/abstract_controller/base.rb:119:in `process'
    actionpack (3.0.13) lib/abstract_controller/rendering.rb:41:in `process'
    actionpack (3.0.13) lib/action_controller/metal.rb:138:in `dispatch'
    actionpack (3.0.13) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
    actionpack (3.0.13) lib/action_controller/metal.rb:178:in `action'
    actionpack (3.0.13) lib/action_dispatch/routing/route_set.rb:68:in `call'
    actionpack (3.0.13) lib/action_dispatch/routing/route_set.rb:68:in `dispatch'
    actionpack (3.0.13) lib/action_dispatch/routing/route_set.rb:33:in `call'
    rack-mount (0.7.1) lib/rack/mount/route_set.rb:150:in `call'
    rack-mount (0.7.1) lib/rack/mount/code_generation.rb:93:in `recognize'
    rack-mount (0.7.1) lib/rack/mount/code_generation.rb:68:in `optimized_each'
    rack-mount (0.7.1) lib/rack/mount/code_generation.rb:92:in `recognize'
    rack-mount (0.7.1) lib/rack/mount/route_set.rb:141:in `call'
    actionpack (3.0.13) lib/action_dispatch/routing/route_set.rb:499:in `call'
    barista (1.2.1) lib/barista/server.rb:33:in `call'
    sass (3.1.7) lib/sass/./sass/plugin/rack.rb:54:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/head.rb:14:in `call'
    rack (1.3.0) lib/rack/methodoverride.rb:24:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/params_parser.rb:21:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/flash.rb:182:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/cookies.rb:302:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/callbacks.rb:46:in `call'
    activesupport (3.0.13) lib/active_support/callbacks.rb:416:in `_run_call_callbacks'
    actionpack (3.0.13) lib/action_dispatch/middleware/callbacks.rb:44:in `call'
    rack (1.3.0) lib/rack/sendfile.rb:102:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/remote_ip.rb:48:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'
    railties (3.0.13) lib/rails/rack/logger.rb:13:in `call'
    rack (1.3.0) lib/rack/runtime.rb:17:in `call'
    rack (1.3.0) lib/rack/lock.rb:34:in `call'
    actionpack (3.0.13) lib/action_dispatch/middleware/static.rb:30:in `call'
    railties (3.0.13) lib/rails/application.rb:168:in `call'
    rack-test (0.6.1) lib/rack/mock_session.rb:30:in `request'
    rack-test (0.6.1) lib/rack/test.rb:219:in `process_request'
    rack-test (0.6.1) lib/rack/test.rb:114:in `request'
    actionpack (3.0.13) lib/action_dispatch/testing/integration.rb:292:in `process'
    actionpack (3.0.13) lib/action_dispatch/testing/integration.rb:32:in `get'
    actionpack (3.0.13) lib/action_dispatch/testing/integration.rb:79:in `follow_redirect!'
    actionpack (3.0.13) lib/action_dispatch/testing/integration.rb:368:in `__send__'
    actionpack (3.0.13) lib/action_dispatch/testing/integration.rb:368:in `method_missing'
    /test/integration/login_flows_test.rb:139:in `test_signup_to_app_creation'
    /test/integration/login_flows_test.rb:13:in `with_integrated'
    /test/integration/login_flows_test.rb:95:in `test_signup_to_app_creation'
    activesupport (3.0.13) lib/active_support/testing/setup_and_teardown.rb:67:in `__send__'
    activesupport (3.0.13) lib/active_support/testing/setup_and_teardown.rb:67:in `run'
    activesupport (3.0.13) lib/active_support/callbacks.rb:439:in `_run_setup_callbacks'
    activesupport (3.0.13) lib/active_support/testing/setup_and_teardown.rb:65:in `run'

364 tests, 1451 assertions, 0 failures, 1 errors
rake aborted!
Command failed with status (1): [/usr/bin/ruby -I"lib:test" "/usr/lib/ruby/...]

(See full trace by running task with --trace)




I'm sure it's an error below the site but I don't see a corresponding error in the broker log.


Version-Release number of selected component (if applicable):


How reproducible:
let's say 99%.  Often fails on the first retry too.

Steps to Reproduce:
1. Run the site check base tests
2.
3.
Comment 1 Clayton Coleman 2012-08-20 13:16:31 EDT
Could be a side effect of the parallel requests change.  Would expect to see an exception if broker retrieval failed.  May want to guard this in test mode in the controller to test.
Comment 2 Clayton Coleman 2012-08-29 14:11:59 EDT
Fixed!
Comment 3 Xiaoli Tian 2012-08-31 05:08:24 EDT
(In reply to comment #2)
> Fixed!

Checked the latest ready ami 2102, all the tests are pass
          -----------------------------------------------------------
                      Begin Output From Site Check Base Tests
          -----------------------------------------------------------

(in /root/li-test/site)
Specify ruby-prof as application's dependency in Gemfile to run benchmarks.
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
......................................................................................................................................................................................................................................................................................................................................................................................
Finished in 229.203817 seconds.

374 tests, 1484 assertions, 0 failures, 0 errors

          -----------------------------------------------------------
                       End Output From Site Check Base Tests
          -----------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.